{include file='include/autosize.inc.tpl'}

{footer_script require='jquery.ui.sortable'}{literal}
  jQuery(document).ready(function(){
    // Resize possible for categories selection
    jQuery('.categoryList').resizable({
      handles: "all",
      animate: true,
      animateDuration: "slow",
      animateEasing: "swing",
      preventDefault: true,
      preserveCursor: true,
      autoHide: true,
      ghost: true
    });
  });

  jQuery(document).ready(function() {
     var f = jQuery.farbtastic('#colorpickerA');
     var selected;
     jQuery('.colorwell')
       .each(function () { f.linkTo(this);  })
       .focus(function() {
       	f.linkTo(this);

       });
  });
  {/literal}{/footer_script}

{html_head}
{$OTHERS_SCRIPT}
{/html_head}

<div class="titrePage">
  <h2>Flash Gallery - {$FLASHGAL_TITLE}</h2>
</div>

<form method="post" action="" class="properties"  ENCTYPE="multipart/form-data">
<p><input style="display:none" class="submit" type="submit" value="{'Submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED}/></p>

<fieldset>
	<legend>{'flashgal_module_config'|@translate}</legend>
	<table>

		<tr><td colspan="3"><br></td></tr>

		<tr>
			<td><b>{'flashgal_module_title'|@translate}&nbsp;&nbsp;</b></td>
			<td colspan="2"><textarea cols="50" rows="2" name="module_name" id="module_name" class="description" style="height: 2em">{$MODULE_NAME}</textarea></td>
		</tr>

		<tr><td colspan="3"><br></td></tr>

		<tr>
			<td><b>{'flashgal_desc'|@translate}&nbsp;&nbsp;</b></td>
			<td colspan="2"><input type="text" size="65" maxlength="255" value="{$DESC_VALUE}" name="module_desc"/></td>
		</tr>
		<tr>
			<td></td>
			<td colspan="2">{'flashgal_only_for_admin'|@translate}</td>
		</tr>

		<tr><td colspan="3"><br></td></tr>
		<tr>
			<td><b>{'flashgal_authorized_users'|@translate} &nbsp;&nbsp;</b></td>
			<td colspan="2">
				<div id="users">
				<input type="checkbox" name="users[]" id="guest" value="guest" {$user_perm.GUEST}><label>&nbsp;{'user_status_guest'|@translate}</label>
				<input type="checkbox" name="users[]" id="generic" value="generic" {$user_perm.GENERIC}><label>&nbsp;{'user_status_generic'|@translate}</label>
				<input type="checkbox" name="users[]" id="normal" value="normal" {$user_perm.NORMAL}><label>&nbsp;{'user_status_normal'|@translate}</label>
				<input type="checkbox" name="users[]" id="admin" value="admin" {$user_perm.ADMIN}><label>&nbsp;{'user_status_admin'|@translate}</label>
				<input type="checkbox" name="users[]" id="webmaster" value="webmaster" {$user_perm.WEBMASTER}><label>&nbsp;{'user_status_webmaster'|@translate}</label>
				</div>
			</td>
        </tr>

		{if isset($group_perm)}
		<tr><td colspan="3"><br></td></tr>
		<tr>
			<td><b>{'flashgal_authorized_group'|@translate} &nbsp;&nbsp;</b></td>
			<td colspan="2">{$group_perm.GROUPSELECTION}</td>
        </tr>
        <tr>
        	<td></td>
			<td colspan="2"><i>{'flashgal_public_module'|@translate}</i></td>
        </tr>
    {/if}

        <tr><td colspan="3"><br></td></tr>
	</table>
</fieldset>

<fieldset>
	<legend>{'flashgal_visual_config'|@translate}</legend>
	<div id="colorpickerA" style="float: right;"></div>	
	<table>
		<tr><td colspan="3"><br></td></tr>
		<tr>
			<td colspan="3"><input type="checkbox" name="show_title" value="1" {$show_title_CHECKED}>&nbsp;&nbsp;{'flashgal_show_title'|@translate}</td>
		</tr>
		<tr><td colspan="3">&nbsp;</td></tr>

		<tr>
			<td>{'flashgal_cfg_heigh'|@translate} &nbsp;</td>
			<td colspan="2"><input type="text" size="3" maxlength="3" value="{$FLASHGAL_HEIGHT}" name="flashgal_height">&nbsp;px</td>
		</tr>
		<tr><td colspan="3">&nbsp;</td></tr>
		<tr>
			<td> &nbsp; </td>
		    <td colspan="2">
				 - <input type="checkbox" name="flashgal_transparent" {$FLASHGAL_TRANSPARENT}/>&nbsp; {'flashgal_transparent'|@translate}
			</td>
		</tr>
		<tr>
			<td> {'flashgal_cfg_option'|@translate} &nbsp; </td>
		    <td colspan="2">
				 - <input type="checkbox" name="flashgal_fullscreen" {$FLASHGAL_FULLSCREEN}/>&nbsp; {'flashgal_fullscreen'|@translate}
			</td>
		<tr>
			<td> &nbsp; </td>
		    <td colspan="2">
				 - {'flashgal_bgcolor'|@translate}&nbsp;  <input type="text" size="7" maxlength="7" name="flashgal_bgcolor" class="colorwell" value="{$FLASHGAL_BGCOLOR}" />
			</td>
		</tr>
		<tr>
			<td> &nbsp; </td>
		    <td colspan="2">
				 - <input type="checkbox" name="flashgal_recurs_cats" {$FLASHGAL_RECURS_CATS}/>&nbsp; {'flashgal_recurs_cats'|@translate}
			</td>
		<tr><td colspan="3">&nbsp;</td></tr>
		<tr><td colspan="3">&nbsp;</td></tr>
        
	</table>
	<table>
		<tr>
            <td></td>
            <td><br><hr></td>
            <td></td>
		</tr>
		<tr>
			<td>{'flashgal_show_module_on'|@translate}</td>
			<td>&nbsp;&nbsp;<input type="checkbox" name="on_home" value="1" {$on_home_CHECKED}>&nbsp;&nbsp;<i>{'flashgal_show_on_home'|@translate}</i>&nbsp;</td>
			<td> <input type="radio" name="on_home_global" value="global" {$global_CHECKED}>&nbsp;{'flashgal_show_on_home_global'|@translate}
				 <br/>
				<input type="radio" name="on_home_global" value="selective" {$selective_CHECKED}>&nbsp;{'flashgal_show_on_home_selective'|@translate}</td>
		</tr>
		<tr><td></td>
			<td colspan="2">&nbsp;&nbsp;<input type="checkbox" name="on_cats" value="1" {$on_cats_CHECKED}>&nbsp;&nbsp;<i>{'flashgal_show_on_cats'|@translate}</i></td>
		</tr>
		<tr><td colspan="3"><br></td></tr>

		<tr>
			<td>{'flashgal_cfg_replacenav'|@translate}</td>
			<td colspan="2">&nbsp;&nbsp;<input type="checkbox" name="replace_thumb" value="1" {$replace_thumb_CHECKED}>&nbsp;&nbsp;<i>{'flashgal_replace_thumb'|@translate}</i></td>
		</tr>
		<tr><td></td>
			<td colspan="2">&nbsp;&nbsp;<input type="checkbox" name="replace_cats" value="1" {$replace_cats_CHECKED}>&nbsp;&nbsp;<i>{'flashgal_replace_cats'|@translate}</i></td>
		</tr>

		<tr><td colspan="3"><br></td></tr>
		<tr>
			<td>{'flashgal_cfg_cat'|@translate}&nbsp;</td>
			<td colspan="2">
		      <select class="categoryList" name="categories[]" multiple="multiple" size="10">
		        {html_options options=$categories selected=$categories_selected value=$categories_value}
		      </select>
			</td>
		</tr>
		</table>		
</fieldset>

<fieldset>
	<legend>{'flashgal_xml_config'|@translate}</legend>
	<table border="1">
	  <caption> {'flashgal_xml_legend'|@translate} </CAPTION>
	  <tr>
		 <th> {'flashgal_picture_legend'|@translate} </th>
		 <th> {'flashgal_cat_legend'|@translate} </th>
		 <th> {'flashgal_global_legend'|@translate} </th>
	  </tr>
	  <tr>
		 <td> <b>%I1</b> : {'img_id_legend'|@translate} </td>
		 <td> <b>%C1</b> : {'cat_id_legend'|@translate} </td>
		 <td> <b>%G1</b> : {'root_path_legend'|@translate} </td>
	  </tr>
	  <tr>
		 <td> <b>%I2</b> : {'img_name_legend'|@translate} </td>
		 <td> <b>%C2</b> : {'cat_name_legend'|@translate} </td>
		 <td> &nbsp; </td>
	  </tr>
	  <tr>
		 <td> <b>%I3</b> : {'img_description_legend'|@translate} </td>
		 <td> <b>%C3</b> : {'cat_description_legend'|@translate} </td>
		 <td> &nbsp; </td>
	  </tr>
	  <tr>
		 <td> <b>%I4</b> : {'img_author_legend'|@translate} </td>
		 <td> <b>%C4</b> : {'cat_dir_legend'|@translate} </td>
		 <td> &nbsp; </td>
	  </tr>
	  <tr>
		 <td> <b>%I5</b> : {'img_URLThumb_legend'|@translate} </td>
		 <td> <b>%C5</b> : {'cat_dirFull_legend'|@translate} </td>
		 <td> &nbsp; </td>
	  </tr>
	  <tr>
		 <td> <b>%I6</b> : {'img_URLNormal_legend'|@translate} </td>
		 <td> &nbsp; </td>
		 <td> &nbsp; </td>
	  </tr>
	  <tr>
		 <td> <b>%I7</b> : {'img_URLHigh_legend'|@translate} </td>
		 <td> &nbsp; </td>
		 <td> &nbsp; </td>
	  </tr>
	  <tr>
		 <td> <b>%I8</b> : {'img_URLPicturephp_legend'|@translate} </td>
		 <td> &nbsp; </td>
		 <td> &nbsp; </td>
	  </tr>
	  <tr>
		 <td> <b>%I9</b> : {'img_URLThumbFull_legend'|@translate} </td>
		 <td> &nbsp; </td>
		 <td> &nbsp; </td>
	  </tr>
	  <tr>
		 <td> <b>%IA</b> : {'img_URLNormalFull_legend'|@translate} </td>
		 <td> &nbsp; </td>
		 <td> &nbsp; </td>
	  </tr>
	  <tr>
		 <td> <b>%IB</b> : {'img_URLHighFull_legend'|@translate} </td>
		 <td> &nbsp; </td>
		 <td> &nbsp; </td>
	  </tr>
	  <tr>
		 <td> <b>%IC</b> : {'img_filename_legend'|@translate} </td>
		 <td> &nbsp; </td>
		 <td> &nbsp; </td>
	  </tr>
	  <tr>
		 <td> <b>%ID</b> : <input type="text" size="1" maxlength="1" value="{$FLASHGAL_MAX_COMMENT}" name="flashgal_max_comment" /> {'img_comment_legend'|@translate} </td>
		 <td> &nbsp; </td>
		 <td> &nbsp; </td>
	  </tr>
	</table> 
	
	<table>
		<tr><td colspan="2"><br></td></tr>
		 {foreach from=$FlashGal_Param item=FlashGal_Param}
			<tr>
			<td><b>{$FlashGal_Param.lib}&nbsp;&nbsp;</b></td>
			<td colspan="2"><input type="text" size="65" maxlength="255" value="{$FlashGal_Param.val}" name="{$FlashGal_Param.name}" /></td>
			</tr>
		{/foreach}

	</table>
{if $ENABLERESTORE}
<p><input type="submit" name="restoredata" value="{'flashgal_restore'|@translate}" onclick="return confirm('{'Are you sure?'|@translate|@escape:'javascript'}');"></p>
{/if}

</fieldset>

<fieldset>
	<legend>{'flashgal_module_options'|@translate}</legend>
	{$MODULE_OPTIONS}
</fieldset>
<p><input class="submit" type="submit" value="{'Submit'|@translate}" name="submit" {$TAG_INPUT_ENABLED}/></p>
</form>
